sasl_errdetail(10 July 2001)

NAME
sasl_errdetail - Retrieve detailed information about an error

SYNOPSIS
#include <sasl/sasl.h>

const char *sasl_errdetail( sasl_conn_t *conn );

DESCRIPTION

sasl_errdetail provides more detailed informatio about the most recent error to occur, beyond the information contained in the SASL result code.

conn the connection context to inquire about.

RETURN VALUE
Returns the string describing the error that occured, or NULL if no error has occured, or there was an error retreiving it.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3)